"""
@author: luojunhui
"""

import requests
import json

from applications.api import WechatChannelAPI
from config import gewe_token, gewe_app_id, gewe_base_url


def get_channel_account_videos(user_id, last_buffer=""):
    """
    get channel account videos
    """
    channel_api = WechatChannelAPI(
        base_url=gewe_base_url,
        token=gewe_token,
        app_id=gewe_app_id
    )
    result = channel_api.get_channel_video_list(user_id, last_buffer)
    return result