import json
import traceback

from applications import bot
from applications.db import DatabaseConnector
from config import long_articles_config
from cold_start.publish.publish_single_video_pool_videos import PublishSingleVideoPoolVideos


class ColdStartPublishDailyTask:

    def __init__(self):
        self.db_client = DatabaseConnector(long_articles_config)
        self.db_client.connect()


    def publish_articles_from_article_pool(self):
        """
        从 meta_article_pool 表中获取文章，发布到 AIGC 平台
        """
        # publish_article_task = CategoryColdStartTask(db_client=self.db_client)
        # 执行浸提头条品类发布


        pass


    def publish_articles_from_video_pool(self):
        """
        从 meta_video_pool 表中获取视频，发布到 AIGC 平台
        """
        try:
            publish_single_video_pool_videos = PublishSingleVideoPoolVideos()
            publish_single_video_pool_videos.deal()
        except Exception as e:
            bot(
                title="视频内容池任务创建失败",
                detail={
                    "error": str(e),
                    "error_msg": traceback.format_exc()
                }
            )





