class CrawlerVideoConst:
    """
    视频抓取常量
    """

    INIT_STATUS = 0
    PROCESSING_STATUS = 1
    SUCCESS_STATUS = 2
    FAIL_STATUS = 99

    # title length min
    MIN_TITLE_LENGTH = 10

    # max video length(second)
    MAX_VIDEO_LENGTH = 600

    # sleep second
    SLEEP_SECOND = 3

    #
    NO_SOURCE_ACCOUNT = 0


class CrawlerPiaoQuanVideosConst(CrawlerVideoConst):
    """
    票圈视频抓取任务常量
    """
    PIAOQUAN_TOP_VIDEO_TABLE = 'piaoquan_source_video_pool'

    PLATFORM = "piaoquan"

    MAX_LOCK_SECOND = 3600

    AUDITING_STATUS = -1

