# from celery import Celery
from tasks.crawler_tasks.crawler_video.crawler_piaoquan_videos import CrawlerPiaoQuanVideos
from tasks.crawler_tasks.crawler_video.crawler_sohu_videos import CrawlerSohuHotVideos
from tasks.crawler_tasks.crawler_video.crawler_sohu_videos import CrawlerSohuRecommendVideos


# app = Celery('tasks', broker='redis://localhost:6379/0')

# @app.task
def run_piaoquan_video_crawler():
    crawler = CrawlerPiaoQuanVideos()
    crawler.deal()

def run_sohu_video_crawler():
    # step1, crawl sohu hot videos
    crawler_sohu_hot_videos = CrawlerSohuHotVideos()
    crawler_sohu_hot_videos.deal()

    # step2, crawl sohu recommend videos
    crawler_sohu_recommend_videos = CrawlerSohuRecommendVideos()
    crawler_sohu_recommend_videos.deal()

if __name__ == "__main__":
    run_piaoquan_video_crawler()
    run_sohu_video_crawler()

