"""
@author: luojunhui
"""
from tasks.ai_tasks.category_generation_task import ArticlePoolCategoryGenerationTask
from tasks.ai_tasks.category_generation_task import VideoPoolCategoryGenerationTask
from tasks.ai_tasks.title_rewrite_task import TitleRewriteTask


if __name__ == '__main__':
    # 1. 标题重写
    title_rewrite_task = TitleRewriteTask()
    title_rewrite_task.deal()

    # 2. 视频内容池标题分类
    video_pool_category_generation_task = VideoPoolCategoryGenerationTask()
    video_pool_category_generation_task.deal()

    # 3. 文章内容池标题分类
    article_pool_category_generation_task = ArticlePoolCategoryGenerationTask()
    article_pool_category_generation_task.deal()

